$().ready(function () {
    
    $('#cateogry').on('change',function () {
        if ($('#cateogry').val() == '1') {
            $('#lblBank').show();
        }
        else {
            $('#lblBank').hide();
            $('#bank').html('');
        }
    })

    $("#city").on('change', function () {
        var url = $(this).data('getm');
        GetMenu2CC(url);
    })
})


function GetMenu2CC(url) {

    if ($('#cateogry').val() == '1') {
        $.ajax({
            url: url,
            data: {
                HSIEN_ID: $('#city').val()
            },
            type: 'get',
            dataType: 'json'
        }).then(function (data) {
            $('#bank').html('');

            for (var i = 0; i < data.length; i++) {
                $('<option></option>').val(data[i].Value).text(data[i].Text).appendTo('#bank');
            }
        })
    }


}